Package com.google.javascript.jscomp

# Enum CompilerOptions.TweakProcessing

java.lang.Object
java.lang.Enum<CompilerOptions.TweakProcessing>
com.google.javascript.jscomp.CompilerOptions.TweakProcessing

All Implemented Interfaces:
  `Serializable`, `Comparable<CompilerOptions.TweakProcessing>`, `java.lang.constant.Constable`

Enclosing class:
  `CompilerOptions`

public static enum CompilerOptions.TweakProcessing extends Enum<CompilerOptions.TweakProcessing>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHECK`
`OFF`
`STRIP`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isOn()`
`boolean`
`shouldStrip()`
`static CompilerOptions.TweakProcessing`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompilerOptions.TweakProcessing[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OFF

public static final CompilerOptions.TweakProcessing OFF

### CHECK

public static final CompilerOptions.TweakProcessing CHECK

### STRIP

public static final CompilerOptions.TweakProcessing STRIP

## Method Details

### values

public static CompilerOptions.TweakProcessing[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompilerOptions.TweakProcessing valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### isOn

public boolean isOn()

### shouldStrip

public boolean shouldStrip()